struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Wages (JIRA)" <j...@apache.org>
Subject [jira] Created: (WW-2301) quickstart and the date range validator
Date Tue, 06 Nov 2007 23:24:35 GMT
quickstart and the date range  validator
----------------------------------------

                 Key: WW-2301
                 URL: https://issues.apache.org/struts/browse/WW-2301
             Project: Struts 2
          Issue Type: Bug
         Environment: windows , eclipse, tomcat
            Reporter: Peter Wages
            Priority: Minor


I  modified the quickstart demo application by  adding person.dateOfBirth
 and person.age  to   do some tests  with the validators. 
I added a an intrange validator on the age and a daterangevalidator 
  and a regex validator on the date of birth plus
additional required  validators on the new fields.

Everything works  except for the daterangevalidator.

I  get  the error message in the console 

com.opensyhony.xwork2.validator.DelegatingValidatorContext$loggingValidationAware addFieldError
SEVERE: Validation error  invalid date  ( my validation message)  

No error message shows on the web page and the invalid date
gets inserted.

If I add extends ActionSupport or ValidationAwareSupport
or  implements Valideateble or ValidationAware

 nothing shows up in the console, I get no  invalid date message on the web page but the 
invalid info does not get inserted.

Why won't  the date range validator work when  the others do?
Is it something with type conversion?

Also, if I add min and max to my error message, only the 2 digit year
shows up in the message on the console. 
 Not the 4 digit year I specified on the validator.







-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message